## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate ryu

Name:           rust-ryu
Version:        1.0.18
Release:        %autorelease
Summary:        Fast floating point to string conversion

License:        Apache-2.0 OR BSL-1.0
URL:            https://crates.io/crates/ryu
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Fast floating point to string conversion.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-BOOST
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no-panic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no-panic-devel %{_description}

This package contains library source intended for building other packages which
use the "no-panic" feature of the "%{crate}" crate.

%files       -n %{name}+no-panic-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+small-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+small-devel %{_description}

This package contains library source intended for building other packages which
use the "small" feature of the "%{crate}" crate.

%files       -n %{name}+small-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue May 07 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.18-1
- Update to version 1.0.18; Fixes RHBZ#2279434

* Thu Apr 25 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.17-1
- Update to version 1.0.17; Fixes RHBZ#2264816

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 11 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.16-1
- Update to version 1.0.16; Fixes RHBZ#2253794

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 17 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.15-1
- Update to version 1.0.15; Fixes RHBZ#2223137

* Wed Jul 05 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.14-1
- Update to version 1.0.14; Fixes RHBZ#2219450

* Mon Mar 06 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.13-1
- Update to version 1.0.13; Fixes RHBZ#2175347

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 20 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.12-1
- Update to version 1.0.12; Fixes RHBZ#2154594

* Wed Aug 03 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.11-1
- Update to version 1.0.11; Fixes RHBZ#2114633

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon May 23 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.10-1
- Update to version 1.0.10; Fixes RHBZ#2086360

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 15 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.9-1
- Update to version 1.0.9; Fixes RHBZ#2031338

* Tue Nov 30 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.6-1
- Update to version 1.0.6; Fixes RHBZ#2027122

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jun 01 13:56:08 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.0.5-1
- Update to 1.0.5

* Thu Apr 23 2020 Josh Stone <jistone@redhat.com> - 1.0.4-1
- Update to 1.0.4

* Fri Mar 13 2020 Josh Stone <jistone@redhat.com> - 1.0.3-1
- Update to 1.0.3

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Nov 19 2019 Josh Stone <jistone@redhat.com> - 1.0.2-1
- Update to 1.0.2

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 27 07:29:59 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0

* Thu Jun 20 12:01:19 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.8-4
- Regenerate

* Sun Jun 09 12:24:37 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.8-3
- Fix skip_build

* Sun Jun 09 11:10:21 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.8-2
- Regenerate

* Thu May 02 08:40:15 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.8-1
- Update to 0.2.8

* Sun Mar 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.7-3
- Do not pull optional dependencies

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Nov 13 2018 Josh Stone <jistone@redhat.com> - 0.2.7-1
- Update to 0.2.7

* Sat Oct 27 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.6-3
- Adapt to new packaging

* Sun Oct 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.6-2
- Run tests in infrastructure

* Sat Sep 08 2018 Josh Stone <jistone@redhat.com> - 0.2.6-1
- Update to 0.2.6

* Sun Aug 19 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.4-1
- Update to 0.2.4

* Sat Aug 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.3-1
- Initial package

## END: Generated by rpmautospec
